Bug 1091203 - Review Request: clpeak - Find peak OpenCL capacities like bandwidth & compute
Review Request: clpeak - Find peak OpenCL capacities like bandwidth & compute
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-25 04:12 EDT by Fabian Deutsch
Modified: 2015-03-17 19:03 EDT (History)
5 users (show)

See Also:
Fixed In Version: clpeak-0.1-2.20140425gitc0b94f2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-11 12:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2014-04-25 04:12:41 EDT
Spec URL: https://raw.githubusercontent.com/fabiand/clpeak-spec/0.1-1/clpeak.spec
SRPM URL: http://fedorapeople.org/~fabiand/clpeak/clpeak-0.1-1.20140425gitc0b94f2.fc19.src.rpm
Description:
A tool which profiles OpenCL devices to find their peak capacities like
bandwidth & compute.

Fedora Account System Username: fabiand
Comment 1 Fabian Deutsch 2014-04-25 04:13:01 EDT
Rawhide builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6777720
Comment 2 Fabian Deutsch 2014-04-25 04:13:58 EDT
$ rpmlint /home/fdeutsch/rpmbuild/SRPMS/clpeak-0.1-1.20140425gitc0b94f2.fc19.src.rpm /home/fdeutsch/rpmbuild/RPMS/x86_64/clpeak-0.1-1.20140425gitc0b94f2.fc19.x86_64.rpm /home/fdeutsch/rpmbuild/RPMS/x86_64/clpeak-debuginfo-0.1-1.20140425gitc0b94f2.fc19.x86_64.rpm clpeak.spec 
clpeak.x86_64: W: no-manual-page-for-binary clpeak
3 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 3 Christopher Meng 2014-04-25 04:23:53 EDT
1. Drop BuildRequires: gcc-c++

2. %{__install} -m0755 build/clpeak %{buildroot}/%{_bindir}/

-->

install -pm0755 build/clpeak %{buildroot}%{_bindir}/

I'm running fedora-review now, once posted please update the SPEC + SRPM.

Need a swap with bug 970956(will be available soon)
Comment 4 Christopher Meng 2014-04-25 04:39:39 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 11 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/clpeak.cpp
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/common.cpp
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/compute_dp.cpp
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/compute_integer.cpp
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/compute_sp.cpp
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/global_bandwidth.cpp
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/include/clpeak.h
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/include/common.h
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/kernel_latency.cpp
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/main.cpp
clpeak-c0b94f2f232819eeccff7251d363b65b31fa391e/src/transfer_bandwidth.cpp

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: clpeak-0.1-1.20140425gitc0b94f2.fc21.i686.rpm
          clpeak-0.1-1.20140425gitc0b94f2.fc21.src.rpm
clpeak.i686: W: no-manual-page-for-binary clpeak
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint clpeak
clpeak.i686: W: no-manual-page-for-binary clpeak
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
clpeak (rpmlib, GLIBC filtered):
    libOpenCL.so.1
    libOpenCL.so.1(OPENCL_1.0)
    libOpenCL.so.1(OPENCL_1.2)
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.1)
    libstdc++.so.6(CXXABI_1.3.8)
    rtld(GNU_HASH)



Provides
--------
clpeak:
    clpeak
    clpeak(x86-32)



Source checksums
----------------
https://github.com/krrishnarraj/clpeak/archive/c0b94f2f232819eeccff7251d363b65b31fa391e/clpeak-0.1-c0b94f2.tar.gz :
  CHECKSUM(SHA256) this package     : 387b7687847b5255cab777e6d1c1d2c352b1246c0f746b642edd66d1dca260d2
  CHECKSUM(SHA256) upstream package : 387b7687847b5255cab777e6d1c1d2c352b1246c0f746b642edd66d1dca260d2


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn clpeak-0.1-1.20140425gitc0b94f2.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

------------------------------------------

Fix comment 3 before SCM.

PACKAGE APPROVED.
Comment 5 Fabian Deutsch 2014-04-25 05:17:06 EDT
Thanks Christopher
Comment 6 Fabian Deutsch 2014-04-25 05:19:23 EDT
New Package SCM Request
=======================
Package Name: clpeak
Short Description: Find peak OpenCL capacities like bandwidth & compute
Owners: fabiand
Branches: f19 f20
Comment 7 Jon Ciesla 2014-04-25 08:24:32 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2014-04-25 11:40:32 EDT
clpeak-0.1-2.20140425gitc0b94f2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/clpeak-0.1-2.20140425gitc0b94f2.fc20
Comment 9 Fedora Update System 2014-04-25 11:40:40 EDT
clpeak-0.1-2.20140425gitc0b94f2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/clpeak-0.1-2.20140425gitc0b94f2.fc19
Comment 10 Fedora Update System 2014-04-26 05:14:12 EDT
clpeak-0.1-2.20140425gitc0b94f2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Christopher Meng 2014-06-09 22:54:36 EDT
Any chance to push it to stable?
Comment 12 Fedora Update System 2014-06-11 12:26:11 EDT
clpeak-0.1-2.20140425gitc0b94f2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 13 Fedora Update System 2014-06-11 12:29:31 EDT
clpeak-0.1-2.20140425gitc0b94f2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.